# Beta Test Plan

## Core Features

### Icing protocol
- Key generation
- Handshake
- ECDH
- Compression
- Audio error correction
- Vocal filter

### Icing dialer (based on Icing lib, based itself on Icing protocol)
- Call
    - Encrypted if public key available
    - Call history

- Contacts
    - Contact creation / editing
    - Contact sharing via QR code / VCF
    - Contact search
    - Favorite contacts
    - Storage of user public keys
    - Blocked number
    - Contact preview (picture, number, public key...)

- Visual voicemail
    - Play / Pause
    - Notification
    - Quick link to call, text, block, share number...

- SIM settings
    - Default SIM

- SMS?

## Beta Testing Scenarii
- Call from Icing dialer to another dialer (Google, Apple...)
- Normal call from Icing dialer to another Icing dialer
- Encrypted call from Icing dialer to another Icing dialer
- Normal call from Icing dialer to a contact that has an Icing public key but
  not Icing dialer
- Create / Edit / Save contact with(out) public key
- Export contact as QR code / VCF
- Import contact
- Listen to voicemail
- Record encrypted call and check the encryption
- Change default SIM

## User Journeys
Karen, a 45 years-old mom just divorced from her husband. She wants to call her
layer about who is going to have custody of the children. The husband always
records and listens to the private conversations of her wife. To make sure he
cannot get any information, she uses Icing dialer to call her lawyer and
encrypt the full conversation.

Paul, a 22 years-old developer is currently working for the U.S. Government, on
a top secret project. He decides to go to China, for vacations but everything
goes wrong! His application is failing in the middle of the day and no one is
qualified to fix it. Paul doesn't have WiFi but he has an international plan
for his phone. With Icing dialer, he can call his company and help fix the
problem safe from potential Chinese spies.

## Evaluation Criteria
- Can a private key be generated
- Can a normal call be made?
- Can an encrypted call be made?
- Can a contact be created / edited / imported / exported?
- Can a voicemail be listened to?
- Is the encryption fast enough, light enough to be usable (audible call)
- Is the encryption strong enough not to be deciphered by a modern (as of 2025)
  supercomputer?
